e_shopper_laravel/routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//frontend
Route::get('/', [App\Http\Controllers\frontend\HomeController::class, 'index']);

// backend
Route::get('/home', function () {
    return view('admin.dashboard');
});

Auth::routes();

Route::prefix('/admin')->group(function (){
    Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('admin');
    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
    Route::get('/logout', [App\Http\Controllers\HomeController::class, 'logout'])->name('logout');
    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

    Route::get('/profile', [App\Http\Controllers\admin\UserController::class, 'index'])->name('profile');
    Route::post('/profile', [App\Http\Controllers\admin\UserController::class, 'update']);


    Route::get('/blog', [App\Http\Controllers\admin\BlogController::class, 'index'])->name('admin.blogs');
    Route::get('/blog/create', [App\Http\Controllers\admin\BlogController::class, 'create'])->name('admin.blog-create');
    Route::post('/blog/create', [App\Http\Controllers\admin\BlogController::class, 'store']);
    Route::get('/blog/edit/{id}', [App\Http\Controllers\admin\BlogController::class, 'edit'])->name('admin.blog-edit');
    Route::post('/blog/edit/{id}', [App\Http\Controllers\admin\BlogController::class, 'update']);
    Route::get('/blog/destroy/{id}', [App\Http\Controllers\admin\BlogController::class, 'destroy'])->name('admin.blog-destroy');


    Route::get('/category', [App\Http\Controllers\admin\categoryController::class, 'index'])->name('admin.categories');
    Route::get('/category/create', [App\Http\Controllers\admin\categoryController::class, 'create'])->name('admin.category-create');
    Route::post('/category/create', [App\Http\Controllers\admin\categoryController::class, 'store']);
    Route::get('/category/edit/{id}', [App\Http\Controllers\admin\categoryController::class, 'edit'])->name('admin.category-edit');
    Route::post('/category/edit/{id}', [App\Http\Controllers\admin\categoryController::class, 'update']);
    Route::get('/category/destroy/{id}', [App\Http\Controllers\admin\categoryController::class, 'destroy'])->name('admin.category-destroy');


    Route::resource('attributes',App\Http\Controllers\admin\AttributeController::class);
    Route::resource('product',App\Http\Controllers\admin\ProductController::class);

    Route::get('/product', [App\Http\Controllers\admin\ProductController::class, 'index'])->name('product.index');
    Route::get('/product/create', [App\Http\Controllers\admin\ProductController::class, 'create'])->name('product.create');
    Route::post('/product/create', [App\Http\Controllers\admin\ProductController::class, 'store']);
    Route::get('/product/edit/{id}', [App\Http\Controllers\admin\ProductController::class, 'edit'])->name('product.edit');
    Route::get('/product/show/{id}', [App\Http\Controllers\admin\ProductController::class, 'show'])->name('product.show'); 
    Route::post('/product/update/{id}', [App\Http\Controllers\admin\ProductController::class, 'update'])->name('product.update');
    Route::get('/product/destroy/{id}', [App\Http\Controllers\admin\ProductController::class, 'destroy'])->name('product.destroy');

    //Product attributes 
    Route::get('/product/show/attr/create/{id}', [App\Http\Controllers\admin\ProductAttributeController::class, 'create'])->name('product-attr.create');
    Route::post('/product/show/attr/create/{id}', [App\Http\Controllers\admin\ProductAttributeController::class, 'create']);
    Route::get('/product/show/attr/edit/{id}', [App\Http\Controllers\admin\ProductAttributeController::class, 'edit'])->name('product-attr.edit');
    Route::post('/product/show/attr/update/{id}', [App\Http\Controllers\admin\ProductAttributeController::class, 'update'])->name('product-attr.update');
    Route::get('/product/show/attr/destroy/{id}', [App\Http\Controllers\admin\ProductAttributeController::class, 'destroy'])->name('product-attr.destroy');
});

e_shopper_laravel/app/Models/Attribute.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Attribute extends Model
{
    use HasFactory;
    public $timestamps =true;

    protected $table ='tbl_attributes';

    protected $fillable =[
        'attr_name',
        'attr_value',
    ];
   
    protected $primary_key = 'id';
    
    protected $hidden = [
        '_token',
    ];
}

e_shopper_laravel/app/Http/Controllers/admin/AttributeController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Attribute;
use Illuminate\Http\Request;

class AttributeController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');   
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $attributes = Attribute::all();
        $color_list = Attribute::where('attr_name',"color")->get();
        $size_list = Attribute::where('attr_name',"size")->get();


        return view('admin.attributes.add')->with(compact('attributes','size_list','color_list'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $attributes = Attribute::all();
        $color_list = Attribute::where('attr_name',"color")->get();
        $size_list = Attribute::where('attr_name',"size")->get();


        return view('admin.attributes.add')->with(compact('attributes','size_list','color_list'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {   
        $data= $request->all();
        if (Attribute::create($data)) {
            $msg = 'Add attribute success!';
            $style = "success";
        }else{
            $msg = 'Add attribute error!';
            $style = "danger";
        };
        return redirect()->back()->with(compact('msg','style'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

e_shopper_laravel/resources/views/admin/attributes/add.blade.php
@extends('admin.layouts.app')
@section('content')
	<section class="wrapper">
        @if (session('msg'))
            <div class="alert alert-{{session('style')}}">
                {{ session('msg') }}
            </div>
      @endif
		<div class="row">
            <div class="col-lg-12">
                <section class="panel">
                    <header class="panel-heading">
                        Create Blog
                        <span class="tools pull-right">
                            <a class="fa fa-chevron-down" href="javascript:;"></a>
                            <a class="fa fa-cog" href="javascript:;"></a>
                            <a class="fa fa-times" href="javascript:;"></a>
                         </span>
                    </header>
                    <div class="panel-body">
                        <form class="form-horizontal form-material" id="signupForm" enctype="multipart/form-data" novalidate="novalidate" method="POST" action="{{ route('attributes.store') }}">
                            @csrf
                            <div class="form-group">
                                <label class="col-sm-12">Attribute name</label>
                                <div class="col-sm-12">
                                    <select class="form-control form-control-line" id="inputName" name="attr_name">
                                        <option  value="color" selected>Color</option>
                                        <option  value="size" >Size</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group attr_val1">
                                <label class="col-md-12">Attribute value <span style="color: red">(*)</span></label>
                                <div class="col-md-12">
                                    <input type="text" class="form-control form-control-line" id="input_val1" name="attr_value" value="">
                                    @error('category_name')
                                    <span style="color: red">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>

                            <div class="form-group attr_val2" style="display: none">
                                <label class="col-md-12">Attribute value <span style="color: red">(*)</span></label>
                                <div class="col-md-12">
                                    <input type="text" class="form-control form-control-line" id="input_val2" name="" placeholder="Size(S,M,L,XL,...)">
                                    @error('category_name')
                                    <span style="color: red">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>


                           
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <button type="submit" class="btn btn-success">Add</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </section>
            </div>
            <div class="table-agile-info">
                    <div class="row w3-res-tb">
                        <div class="col-sm-5 m-b-xs">
                            <select class="input-sm form-control w-sm inline v-middle">
                                <option value="0">Bulk action</option>
                                <option value="1">Delete selected</option>
                                <option value="2">Bulk edit</option>
                                <option value="3">Export</option>
                            </select>
                            <button class="btn btn-sm btn-default">Apply</button>                
                        </div>
                        <div class="col-sm-4">
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <input type="text" class="input-sm form-control" placeholder="Search">
                                <span class="input-group-btn">
                                    <button class="btn btn-sm btn-default" type="button">Go!</button>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive col-sm-6">
                        <table class="table table-striped b-t b-light">
                            <thead>
                                <tr>
                                    <th style="width:20px;">
                                    </th>
                                    <th>Attribute</th>
                                    <th>Value</th>
                                    <th style="width:30px;"></th>
                                    <th style="width:30px;"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($color_list as $key=> $value )
                                <tr>
                                    <th scope="row">{{ $key+1}}</th>
                                    <td>{{ $value->attr_name }}
                                        <i class="ti-layout-width-full" style="background: {{ $value->attr_value }}"></i>
                                    </td>
                                    <td>{{ $value->attr_value }}</td>
                                    <td>
                                        <a href="{{ route('attributes.edit',$value->id) }}" class="active" ui-toggle-class=""><i class="fa fa-check text-success text-active"></i></a>
                                        <a href="{{ route('attributes.destroy',$value->id) }}" class="active" ui-toggle-class=""><i class="fa fa-times text-danger text"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="table-responsive col-12">
                        <table class="table table-striped b-t b-light">
                            <thead>
                                <tr>
                                    <th style="width:20px;">
                                    </th>
                                    <th>Attribute</th>
                                    <th>Value</th>
                                    <th style="width:30px;"></th>
                                    <th style="width:30px;"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($size_list as $key => $value )
                                    <tr>
                                        <th scope="row">{{ $key+1 }}</th>
                                        <td>{{ $value->attr_name }}</td>
                                        <td>{{ $value->attr_value }}</td>
                                        <td>
                                            <a href="{{ route('attributes.edit',$value->id) }}" class="active" ui-toggle-class=""><i class="fa fa-check text-success text-active"></i></a>
                                            <a href="{{ route('attributes.destroy',$value->id) }}" class="active" ui-toggle-class=""><i class="fa fa-times text-danger text"></i></a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
            </div>
        </div>
  
        <script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
        <script>
            $('#inputName').change(function(e){
                var _ip = $('#inputName').val();
                if (_ip == "color") {
                    $('.attr_val1').show();
                    $('.attr_val2').hide();
                    $('#input_val2').attr({name:''});
                    $('#input_val1').attr({name:'attr_value'});
                }else{
                    $('.attr_val2').show();
                    $('.attr_val1').hide();
                    $('#input_val1').attr({name:''});
                    $('#input_val2').attr({name:'attr_value'});
                }
                });
        </script>
            
    <div class="clearfix"> </div>

    </section>
@endsection